#
# spec file for package python-gprof2dot
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-gprof2dot
Version:        2017.9.19
Release:        bp155.2.10
%define gitver  2017.09.19
Summary:        Script to generate a dot graph from the output of several profilers
License:        LGPL-3.0-or-later
Group:          Development/Languages/Python
Url:            https://github.com/jrfonseca/gprof2dot
Source:         https://files.pythonhosted.org/packages/source/g/gprof2dot/gprof2dot-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/jrfonseca/gprof2dot/%{gitver}/LICENSE.txt
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%python_subpackages

%description
GProf2Dot.py is a Python script to convert the output from many
profilers into a dot graph.

%prep
%setup -q -n gprof2dot-%{version}
cp %{SOURCE10} .
sed -i -e '/^#!\//, 1d' gprof2dot.py 

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE.txt
%python3_only %{_bindir}/gprof2dot
%{python_sitelib}/*

%changelog
* Wed Jan  9 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May 16 2018 toddrme2178@gmail.com
- Update to version 2017.9.19
  * Update password.
  * Ignore # comments anywhere on callgrind files.
  * Skip header '# callgrind format' if any.
  * Improved profile pruning abilities
  * Avoid ZipFile open mode 'U'.
  * Make assertion check robust against computational inaccuracies.
  * Truncate function names to avoid labels larger than 16Kb.
  * Update for changes if perf output.
  * Fix printing output on stdout in Python 3.5.1.
  * Prevent ZeroDivisionError when options.colour_nodes_by_selftime is set
  * Scale node weights when coloring nodes by selftime
  * Add colour-nodes-by-selftime option
  * Ranking of cycle functions
  * Improve implementation of Tarjan's algorithm to search for cycles.
- Implement single-spec version
* Tue May  3 2016 foss@grueninger.de
- update to version 2015.12.01
  no changelog available
* Thu Jun 26 2014 hpj@urpla.net
- initial build: 2014.03.12
